API ReferenceRuns

Record run feedback

PUT
/v1/runs/{run_id}/feedback

Records or changes the current user's assessment of one finished run.

Authorization

bearerAuth
AuthorizationBearer <token>

Send a SimpleServe API key as Authorization: Bearer <key>.

In: header

Path Parameters

run_id*string
Match^run_[A-Za-z0-9]+$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/runs/string/feedback" \  -H "Content-Type: application/json" \  -d '{    "outcome": "complete"  }'
{  "id": "string",  "object": "run.feedback",  "run_id": "string",  "session_id": "string",  "agent": "string",  "outcome": "complete",  "reason": "string",  "source": "chat",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}